<?php
session_start();
require_once('config.php');
require_once($rutaPhp.$rutaHtml.'/maqueta/includes.php');

//ini_set('display_errors', 1);
//ini_set('display_startup_errors', 1);
//error_reporting(E_ALL & ~E_DEPRECATED & ~E_NOTICE);




/////////////////////////// TEST WEB SERVICES ///////////////////////////////


//En este caso, una copia del proxy está alojada bajo el mismo arbol de directorios que el propio SGA, aunque las peticiones finales al proxy pueden realizarse a través del proxy alojado externamente
//Esto es para poder utilizar aquí la misma libreria PeticionWSBase para hacer peticiones a un ws de terceros completamente externo

/*
require_once($rutaPhp.$rutaHtml.'/librerias/proxy/src/Services/Webservices.php');
use ProxiumWXfrm\Proxium\PeticionWSBase;

$peticionWS=new PeticionWSBase;

$url='https://ocitenant-dev.alerce.cloud/vector/api/manager/consignment-notes/EMP@P2600053/status';
$apiKey='ocitenant_44a56d07-d5c2-4ee4-8c89-1655bb22c532';

$cabeceras = [
    'Content-Type: application/json',
    'apikey: '.$apiKey
];

$peticionWS->setUrl($url);
$peticionWS->setCabeceras($cabeceras);

$resultado=$peticionWS->lanzaGet();

echo '<p>'.$url.'</p>';
print_r($cabeceras);
echo '<hr>';
print_r($resultado);
*/

/////////////////////////// Fin test web services ///////////////////////////////




require_once($rutaPhp.$rutaHtml.'/acceso/control.php');
require_once($rutaPhp.$rutaHtml.'/maqueta/arriba.php');


$carga=$_GET['carga'];
$empresa=$_GET['empresa'];
$orden=$_GET['orden'];

$filtroFecha=$_GET['filtroFecha'];

$externalId='EMP@P2600056';
$signatureUrl='https://vector-dev.alerce.cloud/vector/sign?token=b2NpdGVuYW50OjkzMGIzY2M1NmRmNDQ3OGNhYjY5OTVmMmU1NTMzMGUy';


?>
<!--<h2>Carga de camión Nº <?php echo $carga; ?></h2>-->
<!--<h2>Orden de preparación Nº <?php echo $orden; ?></h2>-->

<iframe 
	id="marco"
    src="<?php echo $signatureUrl; ?>" 
    width="1200" 
    height="1800" 
    title="Proxium SGA"
    loading="lazy"
    allow="geolocation 'self' https://vector-dev.alerce.cloud; usb; hid"
>
</iframe>

<p><input type="submit" name="botonVolver" id="botonVolver" value="Volver a la carga" class="boton reducido mostrarCargando"/></p>

<script>

	$(document).ready(function() {
		
		$('#botonVolver').on("click",function(){
			$('#popupCargando').show();
			window.location='<?php echo $rutaHtml; ?>/carga-camion-cerrada-detalle.php?filtroFecha=<?php echo $filtroFecha; ?>&carga=<?php echo $carga; ?>';	
		});
		
		
		let contador=1;
	
		var intervalo = setInterval(function() {
		
			$('#contador').val(contador);
		
			$.post( '<?php echo $rutaHtml; ?>/contenidos/carga-camion-cerrada-detalle-estado.php' , { 'externalId' : '<?php echo $externalId; ?>' , 'contador' : contador } )
			.done(function(data) {
			
				console.log('data: '+data);
			
				$('#resultado').val(data);
				
				if(data==1) {
					//$('#marco').hide();
					clearInterval(intervalo);
				}
			
			});
			
			contador++;
		
		}, 1000);
		
		
		
	});
	
</script>

<?php
require_once($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
